/* C Example */
#include <stdio.h>
#include <mpi.h>

int main (int argc, char **argv)
{
     int rank, size;
     MPI_Init (&argc, &argv);	/* starts MPI */
     MPI_Comm_rank (MPI_COMM_WORLD, &rank);	/* get current process id */
     MPI_Comm_size (MPI_COMM_WORLD, &size);	/* get number of processes */
	if ( rank == 0 )
	{
		printf("I am head node with id %d\n", rank);
	}
	else if(rank == size - 1)
		printf("Iam last with id %d", rank);
	else
	{
		printf("I am slave node with id %d\n", rank);
	}
     printf( "MPI finish %d of %d\n", rank, size );
     MPI_Finalize();
     return 0;
}
