#include "cuda_runtime.h"
#include "device_launch_parameters.h"
#include <stdio.h>
#include <cuda.h>

__global__ void kernel (int *buffer)
{
        int tx = threadIdx.x;
        buffer[tx] += 3;
}

int main(int argc, char **argv)
{
        int *buffer;
        int *buffer_d;
        buffer = (int*)malloc(10000*sizeof(int));
        int i;
        for( i = 0; i<10000; i++)
        {
                buffer[i]=i;
        }
        cudaMalloc((void**)&buffer_d, sizeof(int)*10000);
        cudaMemcpy(buffer_d, buffer, sizeof(int)*10000, cudaMemcpyHostToDevice);
        //Paralel Program
        kernel<<<1,10000>>>(buffer_d);
        cudaMemcpy(buffer, buffer_d, sizeof(int)*10000, cudaMemcpyDeviceToHost);
        return 0;
}

